<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Context;

use Symfony\Component\HttpFoundation\RequestStack;

class ChannelPricingContext implements ChannelPricingContextInterface
{
    public function __construct(
        private readonly RequestStack $requestStack,
    ) {
    }

    public function isAdmin(): bool
    {
        $request = $this->requestStack->getMainRequest();

        if (null === $request) {
            return false;
        }

        $syliusParameters = $request->get('_sylius', []);

        return isset($syliusParameters['section']) && 'admin' === $syliusParameters['section'];
    }
}
