<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin;

use Dedi\SyliusCustomerPricingPlugin\DependencyInjection\Compiler\DoctrineChannelPricingTargetEntityResolverPass;
use Sylius\Bundle\CoreBundle\Application\SyliusPluginTrait;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\Bundle\Bundle;

final class DediSyliusCustomerPricingPlugin extends Bundle
{
    use SyliusPluginTrait;

    public function build(ContainerBuilder $container)
    {
        parent::build($container);

        $container->addCompilerPass(new DoctrineChannelPricingTargetEntityResolverPass());
    }

    public function getPath(): string
    {
        return \dirname(__DIR__);
    }
}
