<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Form\Extension\Admin;

use Dedi\SyliusCustomerPricingPlugin\Form\Type\OrganizationAutocompleteChoiceType;
use Sylius\Bundle\CustomerBundle\Form\Type\CustomerType;
use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\FormBuilderInterface;

class CustomerTypeExtension extends AbstractTypeExtension
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add('organization', OrganizationAutocompleteChoiceType::class, [
            'label' => 'dedi_sylius_customer_pricing_plugin.ui.organization',
            'required' => false,
        ]);
    }

    public static function getExtendedTypes(): iterable
    {
        return [CustomerType::class];
    }
}
