<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Form\Type\Admin;

use Sylius\Bundle\AddressingBundle\Form\Type\AddressType;
use Sylius\Bundle\ResourceBundle\Form\Type\AbstractResourceType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;

class OrganizationType extends AbstractResourceType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('name', TextType::class, [
                'label' => 'dedi_sylius_customer_pricing_plugin.form.organization.name',
            ])
            ->add('email', EmailType::class, [
                'label' => 'dedi_sylius_customer_pricing_plugin.form.organization.email',
            ])
            ->add('defaultAddress', AddressType::class, [
                'label' => 'dedi_sylius_customer_pricing_plugin.form.organization.default_address',
                'required' => true,
            ])
        ;
    }

    public function getBlockPrefix()
    {
        return 'dedi_sylius_customer_pricing_plugin_organization';
    }
}
